---
title: prefers-color-scheme
slug: Web/CSS/@media/prefers-color-scheme
tags:
  - '@media'
  - CSS
  - Reference
  - Web
  - media feature
  - prefers-color-scheme
---
<div class="notecard note">
<p>If you have set <code>privacy.resistFingerprinting</code> to <strong>true</strong>, {{cssxref("@media/prefers-color-scheme", "prefers-color-scheme")}} preference is overridden to <code>light</code>.<br>
 Alternately, users can create the numeric preference <code>ui.systemUsesDarkTheme</code> to override the default behavior and return <code>light</code> (value: 0), <code>dark</code> (value: 1), or <code>no-preference</code> (value: 2). (Any other value causes Firefox to return <code>light</code>.)</p>
</div>

<p>The <strong><code>prefers-color-scheme</code></strong> <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> is used to detect if the user has requested the system use a light or dark color theme.</p>

<h2 id="Syntax">Syntax</h2>

<dl>
 <dt><code><dfn>light</dfn></code></dt>
 <dd>Indicates that user has notified the system that they prefer an interface that has a light theme, or has not expressed an active preference.</dd>
 <dt><code><dfn>dark</dfn></code></dt>
 <dd>Indicates that user has notified the system that they prefer an interface that has a dark theme.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>The elements below have an initial color theme. They can be further themed according to the user's color scheme preference.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div class="day"&gt;Day (initial)&lt;/div&gt;
&lt;div class="day light-scheme"&gt;Day (changes in light scheme)&lt;/div&gt;
&lt;div class="day dark-scheme"&gt;Day (changes in dark scheme)&lt;/div&gt; &lt;br&gt;

&lt;div class="night"&gt;Night (initial)&lt;/div&gt;
&lt;div class="night light-scheme"&gt;Night (changes in light scheme)&lt;/div&gt;
&lt;div class="night dark-scheme"&gt;Night (changes in dark scheme)&lt;/div&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">.day   { background: #eee; color: black; }
.night { background: #333; color: white; }

@media (prefers-color-scheme: dark) {
  .day.dark-scheme   { background:  #333; color: white; }
  .night.dark-scheme { background: black; color:  #ddd; }
}

@media (prefers-color-scheme: light) {
  .day.light-scheme   { background: white; color:  #555; }
  .night.light-scheme { background:  #eee; color: black; }
}

.day, .night {
  display: inline-block;
  padding: 1em;
  width: 7em;
  height: 2em;
  vertical-align: middle;
}
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS5 Media Queries', '#descdef-media-prefers-color-scheme', 'prefers-color-scheme')}}</td>
   <td>{{Spec2('CSS5 Media Queries')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.prefers-color-scheme")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.youtube.com/watch?v=jmepqJ5UbuM">Video tutorial: Coding a Dark Mode for your Website</a></li>
 <li><a href="https://stuffandnonsense.co.uk/blog/redesigning-your-product-and-website-for-dark-mode">Redesigning your product and website for dark mode</a></li>
 <li>Changing color schemes in <a href="https://blogs.windows.com/windowsexperience/2019/04/01/windows-10-tip-dark-theme-in-file-explorer/">Windows</a>, <a href="https://developer.apple.com/design/human-interface-guidelines/macos/visual-design/dark-mode/">macOS</a> and <a href="https://www.theverge.com/2019/5/7/18530599/google-android-q-features-hands-on-dark-mode-gestures-accessibility-io-2019">Android</a>.</li>
</ul>

<div>{{QuickLinksWithSubpages("/en-US/docs/Web/CSS/@media/")}}</div>
